import { Node, ReferenceFindableNode } from "ts-simple-ast";
/**
 * For all references that must be refactored calls changeCallArgs.
 *
 * TODO: check that user is not removing parameters. For example, this is invalid in a three
 * parameter function : [1, 2]
 * because the first parameter will be removed. Or throw exception or touch the reorder argument so it contains them all
 * @param targetDeclaration the function-like declaration to reorder its parameters
 * @param reorder [1,0] means switching the positions between first and second params
 */
export declare function reorderParameters(targetDeclaration: ReferenceFindableNode & Node, reorder: number[]): void;
