import * as ts from 'typescript';
import { Tool, ToolConfig } from "typescript-plugins-text-based-user-interaction";
import { SourceFile, SignaturedDeclaration, NamedNode, Node } from 'ts-simple-ast';
export declare const PLUGIN_NAME = "typescript-plugin-function-signature-refactors";
export declare const REFACTOR_ACTION_NAME: string;
export interface ReorderParametersTextUiConfig extends ToolConfig {
    printHelp: boolean;
    log: (msg: any) => void;
}
export declare function getTextUITool(config: {
    log: (msg: any) => void;
    program: ts.Program;
}): Tool;
/** same as getFunction but in ts-simple-ast project */
export declare function getFunctionSimple(file: SourceFile, position: number, name: string): SignaturedDeclaration & NamedNode & Node | undefined;
